<ul class="{{ menu_class }}">

  {% for link in menu_links %}

{% comment %}does this link in our iteration point to the current page?{% endcomment %}
{% assign current = false %}{% if template == 'index' and link.url == '/' %}{% assign current = true %}{% elsif collection.url == link.url %}{% assign current = true %}{% elsif blog.url == link.url %}{% assign current = true %}{% elsif page.url == link.url %}{% assign current = true %}{% elsif page_title == link.title %}{% assign current = true %}{% elsif template == 'list-collections' and link.url == '/collections' %}{% assign current = true %}{% elsif page_title == 'Products' and link.url == '/collections/all' %}{% assign current = true %}{% elsif template == 'article' and link.url == article.url %}{% assign current = true %}{% endif %}
{% comment %}end of soul-searching about active class{% endcomment %}

  {% capture child_list_handle %}{{ link.title | handle }}{% endcapture %}
  <li class="menu-item-{{ link.title | handleize }}{%
    if current %} active{% endif %}{%
    if linklists[child_list_handle] and linklists[child_list_handle].links.size > 0 %} has-sub-menu{% endif %}">
    {% if linklists[child_list_handle] and linklists[child_list_handle].links.size > 0 %}
    <a href="javascript: void(0)" title="{{ link.title }}">{{ link.title }}</a>
      {% capture sub_menu_class %}sub-menu sub-menu-{{ child_list_handle }}{% endcapture %}
      {% include 'mainnav', menu_links: linklists[child_list_handle].links, menu_class: sub_menu_class %}
    {% else %}
    <a href="{% if child_list_handle == 'shop' %}javascript: void(0){% else %}{{ link.url }}{% endif %}" title="{{ link.title }}">{{ link.title | replace: ' Pre Order', '' }}</a>
    {% endif %}
  </li>

  {% endfor %}

</ul>